/* File: afp.h
 * Desc: Definitions for the Active Feedback Protocol
 * Auth: San Mehat
 * Note:
 */                                           

#define MAX_AFPSIZE 4096
typedef struct afp_header
	{
	unsigned int UI_txid;        /* Random transaction ID        */
	unsigned int UI_cmd;         /* Header command word          */

/* Commands that can go from controller -> slave */
#define REQ_RESET    1         /* Request reset                */
#define REQ_STATUS   2         /* Request status               */
#define ACK_CONFIG   3         /* Acknowledge config request   */

/* Commands that can go from slave -> controller */
#define ACK_RESET    100       /* Acknowledge reset            */
#define REQ_CONFIG   101       /* Request configuration data   */
#define ACK_STATUS   102       /* Acknowledge status request   */
#define SIG_READY    103       /* Signal ready to process      */

/* Commands that can go in either direction */
#define NAK          200
	unsigned int UI_dlen;        /* Datalength in bytes          */
	} AFP_HDR;


/*
  Format for ZAPHOD AFP configuration packet
 */
typedef struct afp_config
	{
	unsigned short US_portbinding;
	unsigned short US_pad;
	char           SZ_docroot[80];
	} AFP_CONFIG;
